global DO_VCD
global tb
global dut
global vcd

set StdArithNoWarnings   1
set NumericStdNoWarnings 1

onerror { break }
onbreak {
    if { $DO_VCD  } { vcd flush }
    quit
}

log * -r
add wave -r /*

if { $DO_VCD } {
    vcd file $vcd
    vcd add -r /${tb}/${dut}/*
}

run -all
