# ####################################################################

#  Created by Genus(TM) Synthesis Solution 18.10-p003_1 on Tue Aug 25 22:58:30 EDT 2020

# ####################################################################

set sdc_version 2.0

set_units -capacitance 1000.0fF
set_units -time 1000.0ps

# Set the current design
current_design compteur

set_case_analysis 0 [get_ports i_test_mode]
set_case_analysis 0 [get_ports i_scan_en]
create_clock -name "clk" -period 1.25 -waveform {0.0 0.625} [get_ports i_clk]
set_load -pin_load -max 0.5 [get_ports {o_cnt[3]}]
set_load -pin_load -max 0.5 [get_ports {o_cnt[2]}]
set_load -pin_load -max 0.5 [get_ports {o_cnt[1]}]
set_load -pin_load -max 0.5 [get_ports {o_cnt[0]}]
set_load -pin_load -max 0.5 [get_ports o_tdo]
set_false_path -from [list \
  [get_ports i_rstn]  \
  [get_ports i_tdi] ]
set_false_path -to [get_ports o_tdo]
group_path -weight 1.000000 -name cg_enable_group_clk -through [list \
  [get_pins RC_CG_HIER_INST0/enable]  \
  [get_pins RC_CG_HIER_INST0/enable]  \
  [get_pins RC_CG_HIER_INST0/enable] ]
set_clock_gating_check -setup 0.0 
set_input_delay -clock [get_clocks clk] -add_delay 0.2 [get_ports i_clk]
set_input_delay -clock [get_clocks clk] -add_delay 0.2 [get_ports i_rstn]
set_input_delay -clock [get_clocks clk] -add_delay 0.2 [get_ports i_en]
set_output_delay -clock [get_clocks clk] -add_delay 0.2 [get_ports {o_cnt[3]}]
set_output_delay -clock [get_clocks clk] -add_delay 0.2 [get_ports {o_cnt[2]}]
set_output_delay -clock [get_clocks clk] -add_delay 0.2 [get_ports {o_cnt[1]}]
set_output_delay -clock [get_clocks clk] -add_delay 0.2 [get_ports {o_cnt[0]}]
set_input_delay -clock [get_clocks clk] -add_delay 0.2 [get_ports i_tdi]
set_input_delay -clock [get_clocks clk] -add_delay 0.2 [get_ports i_scan_en]
set_input_delay -clock [get_clocks clk] -add_delay 0.2 [get_ports i_test_mode]
set_output_delay -clock [get_clocks clk] -add_delay 0.2 [get_ports o_tdo]
set_driving_cell -lib_cell BUFX20 -library slow_vdd1v0 -pin "Y" [get_ports i_clk]
set_driving_cell -lib_cell BUFX20 -library slow_vdd1v0 -pin "Y" [get_ports i_rstn]
set_driving_cell -lib_cell BUFX20 -library slow_vdd1v0 -pin "Y" [get_ports i_en]
set_driving_cell -lib_cell BUFX20 -library slow_vdd1v0 -pin "Y" [get_ports i_scan_en]
set_driving_cell -lib_cell BUFX20 -library slow_vdd1v0 -pin "Y" [get_ports i_test_mode]
set_driving_cell -lib_cell BUFX20 -library slow_vdd1v0 -pin "Y" [get_ports i_tdi]
set_dont_use [get_lib_cells slow_vdd1v0/HOLDX1]
set_clock_uncertainty -setup 0.1 [get_clocks clk]
set_clock_uncertainty -hold 0.03 [get_clocks clk]
